Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network150.149.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
150.149.0.0
Broadcast address
150.149.255.255
First usable
150.149.0.1
Last usable
150.149.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
B (default /16)
As numbers
Hex 96950000 · Integer 2526347264 to 2526412799
Reverse DNS zone
149.150.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10010110.10010101..00000000.00000000150.149.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network10010110.10010101..00000000.00000000150.149.0.0
Broadcast10010110.10010101..11111111.11111111150.149.255.255
Split into smaller subnets/28

150.149.0.0/16 makes 4,096 subnets of /28; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1150.149.0.0/28150.149.0.1 to 150.149.0.14150.149.0.1514
2150.149.0.16/28150.149.0.17 to 150.149.0.30150.149.0.3114
3150.149.0.32/28150.149.0.33 to 150.149.0.46150.149.0.4714
4150.149.0.48/28150.149.0.49 to 150.149.0.62150.149.0.6314
5150.149.0.64/28150.149.0.65 to 150.149.0.78150.149.0.7914
6150.149.0.80/28150.149.0.81 to 150.149.0.94150.149.0.9514
7150.149.0.96/28150.149.0.97 to 150.149.0.110150.149.0.11114
8150.149.0.112/28150.149.0.113 to 150.149.0.126150.149.0.12714
9150.149.0.128/28150.149.0.129 to 150.149.0.142150.149.0.14314
10150.149.0.144/28150.149.0.145 to 150.149.0.158150.149.0.15914
11150.149.0.160/28150.149.0.161 to 150.149.0.174150.149.0.17514
12150.149.0.176/28150.149.0.177 to 150.149.0.190150.149.0.19114
13150.149.0.192/28150.149.0.193 to 150.149.0.206150.149.0.20714
14150.149.0.208/28150.149.0.209 to 150.149.0.222150.149.0.22314
15150.149.0.224/28150.149.0.225 to 150.149.0.238150.149.0.23914
16150.149.0.240/28150.149.0.241 to 150.149.0.254150.149.0.25514
17150.149.1.0/28150.149.1.1 to 150.149.1.14150.149.1.1514
18150.149.1.16/28150.149.1.17 to 150.149.1.30150.149.1.3114
19150.149.1.32/28150.149.1.33 to 150.149.1.46150.149.1.4714
20150.149.1.48/28150.149.1.49 to 150.149.1.62150.149.1.6314
21150.149.1.64/28150.149.1.65 to 150.149.1.78150.149.1.7914
22150.149.1.80/28150.149.1.81 to 150.149.1.94150.149.1.9514
23150.149.1.96/28150.149.1.97 to 150.149.1.110150.149.1.11114
24150.149.1.112/28150.149.1.113 to 150.149.1.126150.149.1.12714
25150.149.1.128/28150.149.1.129 to 150.149.1.142150.149.1.14314
26150.149.1.144/28150.149.1.145 to 150.149.1.158150.149.1.15914
27150.149.1.160/28150.149.1.161 to 150.149.1.174150.149.1.17514
28150.149.1.176/28150.149.1.177 to 150.149.1.190150.149.1.19114
29150.149.1.192/28150.149.1.193 to 150.149.1.206150.149.1.20714
30150.149.1.208/28150.149.1.209 to 150.149.1.222150.149.1.22314
31150.149.1.224/28150.149.1.225 to 150.149.1.238150.149.1.23914
32150.149.1.240/28150.149.1.241 to 150.149.1.254150.149.1.25514
33150.149.2.0/28150.149.2.1 to 150.149.2.14150.149.2.1514
34150.149.2.16/28150.149.2.17 to 150.149.2.30150.149.2.3114
35150.149.2.32/28150.149.2.33 to 150.149.2.46150.149.2.4714
36150.149.2.48/28150.149.2.49 to 150.149.2.62150.149.2.6314
37150.149.2.64/28150.149.2.65 to 150.149.2.78150.149.2.7914
38150.149.2.80/28150.149.2.81 to 150.149.2.94150.149.2.9514
39150.149.2.96/28150.149.2.97 to 150.149.2.110150.149.2.11114
40150.149.2.112/28150.149.2.113 to 150.149.2.126150.149.2.12714
41150.149.2.128/28150.149.2.129 to 150.149.2.142150.149.2.14314
42150.149.2.144/28150.149.2.145 to 150.149.2.158150.149.2.15914
43150.149.2.160/28150.149.2.161 to 150.149.2.174150.149.2.17514
44150.149.2.176/28150.149.2.177 to 150.149.2.190150.149.2.19114
45150.149.2.192/28150.149.2.193 to 150.149.2.206150.149.2.20714
46150.149.2.208/28150.149.2.209 to 150.149.2.222150.149.2.22314
47150.149.2.224/28150.149.2.225 to 150.149.2.238150.149.2.23914
48150.149.2.240/28150.149.2.241 to 150.149.2.254150.149.2.25514
49150.149.3.0/28150.149.3.1 to 150.149.3.14150.149.3.1514
50150.149.3.16/28150.149.3.17 to 150.149.3.30150.149.3.3114
51150.149.3.32/28150.149.3.33 to 150.149.3.46150.149.3.4714
52150.149.3.48/28150.149.3.49 to 150.149.3.62150.149.3.6314
53150.149.3.64/28150.149.3.65 to 150.149.3.78150.149.3.7914
54150.149.3.80/28150.149.3.81 to 150.149.3.94150.149.3.9514
55150.149.3.96/28150.149.3.97 to 150.149.3.110150.149.3.11114
56150.149.3.112/28150.149.3.113 to 150.149.3.126150.149.3.12714
57150.149.3.128/28150.149.3.129 to 150.149.3.142150.149.3.14314
58150.149.3.144/28150.149.3.145 to 150.149.3.158150.149.3.15914
59150.149.3.160/28150.149.3.161 to 150.149.3.174150.149.3.17514
60150.149.3.176/28150.149.3.177 to 150.149.3.190150.149.3.19114
61150.149.3.192/28150.149.3.193 to 150.149.3.206150.149.3.20714
62150.149.3.208/28150.149.3.209 to 150.149.3.222150.149.3.22314
63150.149.3.224/28150.149.3.225 to 150.149.3.238150.149.3.23914
64150.149.3.240/28150.149.3.241 to 150.149.3.254150.149.3.25514
65150.149.4.0/28150.149.4.1 to 150.149.4.14150.149.4.1514
66150.149.4.16/28150.149.4.17 to 150.149.4.30150.149.4.3114
67150.149.4.32/28150.149.4.33 to 150.149.4.46150.149.4.4714
68150.149.4.48/28150.149.4.49 to 150.149.4.62150.149.4.6314
69150.149.4.64/28150.149.4.65 to 150.149.4.78150.149.4.7914
70150.149.4.80/28150.149.4.81 to 150.149.4.94150.149.4.9514
71150.149.4.96/28150.149.4.97 to 150.149.4.110150.149.4.11114
72150.149.4.112/28150.149.4.113 to 150.149.4.126150.149.4.12714
73150.149.4.128/28150.149.4.129 to 150.149.4.142150.149.4.14314
74150.149.4.144/28150.149.4.145 to 150.149.4.158150.149.4.15914
75150.149.4.160/28150.149.4.161 to 150.149.4.174150.149.4.17514
76150.149.4.176/28150.149.4.177 to 150.149.4.190150.149.4.19114
77150.149.4.192/28150.149.4.193 to 150.149.4.206150.149.4.20714
78150.149.4.208/28150.149.4.209 to 150.149.4.222150.149.4.22314
79150.149.4.224/28150.149.4.225 to 150.149.4.238150.149.4.23914
80150.149.4.240/28150.149.4.241 to 150.149.4.254150.149.4.25514
81150.149.5.0/28150.149.5.1 to 150.149.5.14150.149.5.1514
82150.149.5.16/28150.149.5.17 to 150.149.5.30150.149.5.3114
83150.149.5.32/28150.149.5.33 to 150.149.5.46150.149.5.4714
84150.149.5.48/28150.149.5.49 to 150.149.5.62150.149.5.6314
85150.149.5.64/28150.149.5.65 to 150.149.5.78150.149.5.7914
86150.149.5.80/28150.149.5.81 to 150.149.5.94150.149.5.9514
87150.149.5.96/28150.149.5.97 to 150.149.5.110150.149.5.11114
88150.149.5.112/28150.149.5.113 to 150.149.5.126150.149.5.12714
89150.149.5.128/28150.149.5.129 to 150.149.5.142150.149.5.14314
90150.149.5.144/28150.149.5.145 to 150.149.5.158150.149.5.15914
91150.149.5.160/28150.149.5.161 to 150.149.5.174150.149.5.17514
92150.149.5.176/28150.149.5.177 to 150.149.5.190150.149.5.19114
93150.149.5.192/28150.149.5.193 to 150.149.5.206150.149.5.20714
94150.149.5.208/28150.149.5.209 to 150.149.5.222150.149.5.22314
95150.149.5.224/28150.149.5.225 to 150.149.5.238150.149.5.23914
96150.149.5.240/28150.149.5.241 to 150.149.5.254150.149.5.25514
97150.149.6.0/28150.149.6.1 to 150.149.6.14150.149.6.1514
98150.149.6.16/28150.149.6.17 to 150.149.6.30150.149.6.3114
99150.149.6.32/28150.149.6.33 to 150.149.6.46150.149.6.4714
100150.149.6.48/28150.149.6.49 to 150.149.6.62150.149.6.6314
101150.149.6.64/28150.149.6.65 to 150.149.6.78150.149.6.7914
102150.149.6.80/28150.149.6.81 to 150.149.6.94150.149.6.9514
103150.149.6.96/28150.149.6.97 to 150.149.6.110150.149.6.11114
104150.149.6.112/28150.149.6.113 to 150.149.6.126150.149.6.12714
105150.149.6.128/28150.149.6.129 to 150.149.6.142150.149.6.14314
106150.149.6.144/28150.149.6.145 to 150.149.6.158150.149.6.15914
107150.149.6.160/28150.149.6.161 to 150.149.6.174150.149.6.17514
108150.149.6.176/28150.149.6.177 to 150.149.6.190150.149.6.19114
109150.149.6.192/28150.149.6.193 to 150.149.6.206150.149.6.20714
110150.149.6.208/28150.149.6.209 to 150.149.6.222150.149.6.22314
111150.149.6.224/28150.149.6.225 to 150.149.6.238150.149.6.23914
112150.149.6.240/28150.149.6.241 to 150.149.6.254150.149.6.25514
113150.149.7.0/28150.149.7.1 to 150.149.7.14150.149.7.1514
114150.149.7.16/28150.149.7.17 to 150.149.7.30150.149.7.3114
115150.149.7.32/28150.149.7.33 to 150.149.7.46150.149.7.4714
116150.149.7.48/28150.149.7.49 to 150.149.7.62150.149.7.6314
117150.149.7.64/28150.149.7.65 to 150.149.7.78150.149.7.7914
118150.149.7.80/28150.149.7.81 to 150.149.7.94150.149.7.9514
119150.149.7.96/28150.149.7.97 to 150.149.7.110150.149.7.11114
120150.149.7.112/28150.149.7.113 to 150.149.7.126150.149.7.12714
121150.149.7.128/28150.149.7.129 to 150.149.7.142150.149.7.14314
122150.149.7.144/28150.149.7.145 to 150.149.7.158150.149.7.15914
123150.149.7.160/28150.149.7.161 to 150.149.7.174150.149.7.17514
124150.149.7.176/28150.149.7.177 to 150.149.7.190150.149.7.19114
125150.149.7.192/28150.149.7.193 to 150.149.7.206150.149.7.20714
126150.149.7.208/28150.149.7.209 to 150.149.7.222150.149.7.22314
127150.149.7.224/28150.149.7.225 to 150.149.7.238150.149.7.23914
128150.149.7.240/28150.149.7.241 to 150.149.7.254150.149.7.25514
129150.149.8.0/28150.149.8.1 to 150.149.8.14150.149.8.1514
130150.149.8.16/28150.149.8.17 to 150.149.8.30150.149.8.3114
131150.149.8.32/28150.149.8.33 to 150.149.8.46150.149.8.4714
132150.149.8.48/28150.149.8.49 to 150.149.8.62150.149.8.6314
133150.149.8.64/28150.149.8.65 to 150.149.8.78150.149.8.7914
134150.149.8.80/28150.149.8.81 to 150.149.8.94150.149.8.9514
135150.149.8.96/28150.149.8.97 to 150.149.8.110150.149.8.11114
136150.149.8.112/28150.149.8.113 to 150.149.8.126150.149.8.12714
137150.149.8.128/28150.149.8.129 to 150.149.8.142150.149.8.14314
138150.149.8.144/28150.149.8.145 to 150.149.8.158150.149.8.15914
139150.149.8.160/28150.149.8.161 to 150.149.8.174150.149.8.17514
140150.149.8.176/28150.149.8.177 to 150.149.8.190150.149.8.19114
141150.149.8.192/28150.149.8.193 to 150.149.8.206150.149.8.20714
142150.149.8.208/28150.149.8.209 to 150.149.8.222150.149.8.22314
143150.149.8.224/28150.149.8.225 to 150.149.8.238150.149.8.23914
144150.149.8.240/28150.149.8.241 to 150.149.8.254150.149.8.25514
145150.149.9.0/28150.149.9.1 to 150.149.9.14150.149.9.1514
146150.149.9.16/28150.149.9.17 to 150.149.9.30150.149.9.3114
147150.149.9.32/28150.149.9.33 to 150.149.9.46150.149.9.4714
148150.149.9.48/28150.149.9.49 to 150.149.9.62150.149.9.6314
149150.149.9.64/28150.149.9.65 to 150.149.9.78150.149.9.7914
150150.149.9.80/28150.149.9.81 to 150.149.9.94150.149.9.9514
151150.149.9.96/28150.149.9.97 to 150.149.9.110150.149.9.11114
152150.149.9.112/28150.149.9.113 to 150.149.9.126150.149.9.12714
153150.149.9.128/28150.149.9.129 to 150.149.9.142150.149.9.14314
154150.149.9.144/28150.149.9.145 to 150.149.9.158150.149.9.15914
155150.149.9.160/28150.149.9.161 to 150.149.9.174150.149.9.17514
156150.149.9.176/28150.149.9.177 to 150.149.9.190150.149.9.19114
157150.149.9.192/28150.149.9.193 to 150.149.9.206150.149.9.20714
158150.149.9.208/28150.149.9.209 to 150.149.9.222150.149.9.22314
159150.149.9.224/28150.149.9.225 to 150.149.9.238150.149.9.23914
160150.149.9.240/28150.149.9.241 to 150.149.9.254150.149.9.25514
161150.149.10.0/28150.149.10.1 to 150.149.10.14150.149.10.1514
162150.149.10.16/28150.149.10.17 to 150.149.10.30150.149.10.3114
163150.149.10.32/28150.149.10.33 to 150.149.10.46150.149.10.4714
164150.149.10.48/28150.149.10.49 to 150.149.10.62150.149.10.6314
165150.149.10.64/28150.149.10.65 to 150.149.10.78150.149.10.7914
166150.149.10.80/28150.149.10.81 to 150.149.10.94150.149.10.9514
167150.149.10.96/28150.149.10.97 to 150.149.10.110150.149.10.11114
168150.149.10.112/28150.149.10.113 to 150.149.10.126150.149.10.12714
169150.149.10.128/28150.149.10.129 to 150.149.10.142150.149.10.14314
170150.149.10.144/28150.149.10.145 to 150.149.10.158150.149.10.15914
171150.149.10.160/28150.149.10.161 to 150.149.10.174150.149.10.17514
172150.149.10.176/28150.149.10.177 to 150.149.10.190150.149.10.19114
173150.149.10.192/28150.149.10.193 to 150.149.10.206150.149.10.20714
174150.149.10.208/28150.149.10.209 to 150.149.10.222150.149.10.22314
175150.149.10.224/28150.149.10.225 to 150.149.10.238150.149.10.23914
176150.149.10.240/28150.149.10.241 to 150.149.10.254150.149.10.25514
177150.149.11.0/28150.149.11.1 to 150.149.11.14150.149.11.1514
178150.149.11.16/28150.149.11.17 to 150.149.11.30150.149.11.3114
179150.149.11.32/28150.149.11.33 to 150.149.11.46150.149.11.4714
180150.149.11.48/28150.149.11.49 to 150.149.11.62150.149.11.6314
181150.149.11.64/28150.149.11.65 to 150.149.11.78150.149.11.7914
182150.149.11.80/28150.149.11.81 to 150.149.11.94150.149.11.9514
183150.149.11.96/28150.149.11.97 to 150.149.11.110150.149.11.11114
184150.149.11.112/28150.149.11.113 to 150.149.11.126150.149.11.12714
185150.149.11.128/28150.149.11.129 to 150.149.11.142150.149.11.14314
186150.149.11.144/28150.149.11.145 to 150.149.11.158150.149.11.15914
187150.149.11.160/28150.149.11.161 to 150.149.11.174150.149.11.17514
188150.149.11.176/28150.149.11.177 to 150.149.11.190150.149.11.19114
189150.149.11.192/28150.149.11.193 to 150.149.11.206150.149.11.20714
190150.149.11.208/28150.149.11.209 to 150.149.11.222150.149.11.22314
191150.149.11.224/28150.149.11.225 to 150.149.11.238150.149.11.23914
192150.149.11.240/28150.149.11.241 to 150.149.11.254150.149.11.25514
193150.149.12.0/28150.149.12.1 to 150.149.12.14150.149.12.1514
194150.149.12.16/28150.149.12.17 to 150.149.12.30150.149.12.3114
195150.149.12.32/28150.149.12.33 to 150.149.12.46150.149.12.4714
196150.149.12.48/28150.149.12.49 to 150.149.12.62150.149.12.6314
197150.149.12.64/28150.149.12.65 to 150.149.12.78150.149.12.7914
198150.149.12.80/28150.149.12.81 to 150.149.12.94150.149.12.9514
199150.149.12.96/28150.149.12.97 to 150.149.12.110150.149.12.11114
200150.149.12.112/28150.149.12.113 to 150.149.12.126150.149.12.12714
201150.149.12.128/28150.149.12.129 to 150.149.12.142150.149.12.14314
202150.149.12.144/28150.149.12.145 to 150.149.12.158150.149.12.15914
203150.149.12.160/28150.149.12.161 to 150.149.12.174150.149.12.17514
204150.149.12.176/28150.149.12.177 to 150.149.12.190150.149.12.19114
205150.149.12.192/28150.149.12.193 to 150.149.12.206150.149.12.20714
206150.149.12.208/28150.149.12.209 to 150.149.12.222150.149.12.22314
207150.149.12.224/28150.149.12.225 to 150.149.12.238150.149.12.23914
208150.149.12.240/28150.149.12.241 to 150.149.12.254150.149.12.25514
209150.149.13.0/28150.149.13.1 to 150.149.13.14150.149.13.1514
210150.149.13.16/28150.149.13.17 to 150.149.13.30150.149.13.3114
211150.149.13.32/28150.149.13.33 to 150.149.13.46150.149.13.4714
212150.149.13.48/28150.149.13.49 to 150.149.13.62150.149.13.6314
213150.149.13.64/28150.149.13.65 to 150.149.13.78150.149.13.7914
214150.149.13.80/28150.149.13.81 to 150.149.13.94150.149.13.9514
215150.149.13.96/28150.149.13.97 to 150.149.13.110150.149.13.11114
216150.149.13.112/28150.149.13.113 to 150.149.13.126150.149.13.12714
217150.149.13.128/28150.149.13.129 to 150.149.13.142150.149.13.14314
218150.149.13.144/28150.149.13.145 to 150.149.13.158150.149.13.15914
219150.149.13.160/28150.149.13.161 to 150.149.13.174150.149.13.17514
220150.149.13.176/28150.149.13.177 to 150.149.13.190150.149.13.19114
221150.149.13.192/28150.149.13.193 to 150.149.13.206150.149.13.20714
222150.149.13.208/28150.149.13.209 to 150.149.13.222150.149.13.22314
223150.149.13.224/28150.149.13.225 to 150.149.13.238150.149.13.23914
224150.149.13.240/28150.149.13.241 to 150.149.13.254150.149.13.25514
225150.149.14.0/28150.149.14.1 to 150.149.14.14150.149.14.1514
226150.149.14.16/28150.149.14.17 to 150.149.14.30150.149.14.3114
227150.149.14.32/28150.149.14.33 to 150.149.14.46150.149.14.4714
228150.149.14.48/28150.149.14.49 to 150.149.14.62150.149.14.6314
229150.149.14.64/28150.149.14.65 to 150.149.14.78150.149.14.7914
230150.149.14.80/28150.149.14.81 to 150.149.14.94150.149.14.9514
231150.149.14.96/28150.149.14.97 to 150.149.14.110150.149.14.11114
232150.149.14.112/28150.149.14.113 to 150.149.14.126150.149.14.12714
233150.149.14.128/28150.149.14.129 to 150.149.14.142150.149.14.14314
234150.149.14.144/28150.149.14.145 to 150.149.14.158150.149.14.15914
235150.149.14.160/28150.149.14.161 to 150.149.14.174150.149.14.17514
236150.149.14.176/28150.149.14.177 to 150.149.14.190150.149.14.19114
237150.149.14.192/28150.149.14.193 to 150.149.14.206150.149.14.20714
238150.149.14.208/28150.149.14.209 to 150.149.14.222150.149.14.22314
239150.149.14.224/28150.149.14.225 to 150.149.14.238150.149.14.23914
240150.149.14.240/28150.149.14.241 to 150.149.14.254150.149.14.25514
241150.149.15.0/28150.149.15.1 to 150.149.15.14150.149.15.1514
242150.149.15.16/28150.149.15.17 to 150.149.15.30150.149.15.3114
243150.149.15.32/28150.149.15.33 to 150.149.15.46150.149.15.4714
244150.149.15.48/28150.149.15.49 to 150.149.15.62150.149.15.6314
245150.149.15.64/28150.149.15.65 to 150.149.15.78150.149.15.7914
246150.149.15.80/28150.149.15.81 to 150.149.15.94150.149.15.9514
247150.149.15.96/28150.149.15.97 to 150.149.15.110150.149.15.11114
248150.149.15.112/28150.149.15.113 to 150.149.15.126150.149.15.12714
249150.149.15.128/28150.149.15.129 to 150.149.15.142150.149.15.14314
250150.149.15.144/28150.149.15.145 to 150.149.15.158150.149.15.15914
251150.149.15.160/28150.149.15.161 to 150.149.15.174150.149.15.17514
252150.149.15.176/28150.149.15.177 to 150.149.15.190150.149.15.19114
253150.149.15.192/28150.149.15.193 to 150.149.15.206150.149.15.20714
254150.149.15.208/28150.149.15.209 to 150.149.15.222150.149.15.22314
255150.149.15.224/28150.149.15.225 to 150.149.15.238150.149.15.23914
256150.149.15.240/28150.149.15.241 to 150.149.15.254150.149.15.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses